## sim4 0.0.20121010

=== Makefile ===

# For better performance, replace ``-O'' with whatever
# the best optimization flag is for your computer.
# For Sun's compilers under Solaris, ``-fast'' works well.
# For gcc, ``-O2'' works well.
CC=cc
CFLAGS=-O
LDLIBS=-lm
 
sim4:
	$(CC) -o sim4 -I. $(CFLAGS) *.c $(LDLIBS)
clean:
	rm -f sim4 *.o

=== debian/changelog ===
sim4 (0.0.20121010-8) unstable; urgency=medium

  * Nelson A. de Oliveira <naoliv@debian.org> has retired so remove him
    from Uploaders (thanks Nelson for your work on this package)
    Closes: #962117

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 15:29:21 +0100

sim4 (0.0.20121010-7) unstable; urgency=medium

  * Fix autopkgtest
    Closes: #975735
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2020 21:19:07 +0100

sim4 (0.0.20121010-6) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 11:55:34 +0100

sim4 (0.0.20121010-5) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jul 2018 20:24:34 +0200

sim4 (0.0.20121010-4) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload.
  * Autopkgtests added
  * README.source file added

 -- Canberk Koç <canberkkoc@gmail.com>  Thu, 27 Oct 2016 03:11:08 +0300

sim4 (0.0.20121010-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Moved packaging to Git

  [ Alexis Bienvenüe ]
  * Sort c files for reproducible build
    Closes: #820741

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 08:38:22 +0200

sim4 (0.0.20121010-2) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * More precise homepage
  * cme fix dpkg-control
  * DEP5 names

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2016 09:55:40 +0100

sim4 (0.0.20121010-1) unstable; urgency=low

  * New upstream version
  * debian/upstream: add citation information
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - drop cdbs build-depends
     - anonscm in Vcs fields
  * debian/rules: short dh
  * debian/patches/hardening.patch: propagate hardening options
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2013 13:24:50 +0200

sim4 (0.0.20030921-3) unstable; urgency=low

  [ Charles Plessy ]
  * Moved the Homepage: field out from the package's description.

  [ David Paleino ]
  * Updated to Standards-Version 3.7.3 (no changes needed)

  [ Andreas Tille ]
  * Added myself to Uploaders

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2008 13:27:59 +0100

sim4 (0.0.20030921-2) unstable; urgency=low

  * Updated patches/Makefile.diff, so sim4 doesn't get stripped when
    using DEB_BUILD_OPTIONS=nostrip (Closes: #438021);
  * Changed maintainer to Debian-Med Packaging Team
    <debian-med-packaging@lists.alioth.debian.org>;
  * Added SVN repository URL in debian/control;
  * Updated my email address;
  * Updated Standards-Version to 3.7.2;
  * Updated debhelper compatibility level to 5;
  * Updated FSF address in copyright file;
  * Updated watch file.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 15 Aug 2007 11:53:53 -0300

sim4 (0.0.20030921-1) unstable; urgency=low

  * Initial release. (Closes: #321180)

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed,  3 Aug 2005 18:21:06 -0300

=== debian/control ===
Source: sim4
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/sim4
Vcs-Git: https://salsa.debian.org/med-team/sim4.git
Homepage: https://globin.bx.psu.edu/html/docs/sim4.html
Rules-Requires-Root: no

Package: sim4
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for aligning cDNA and genomic DNA
 sim4 is a similarity-based tool for aligning an expressed DNA sequence
 (EST, cDNA, mRNA) with a genomic sequence for the gene. It also detects end
 matches when the two input sequences overlap at one end (i.e., the start of
 one sequence overlaps the end of the other).
 .
 sim4 employs a blast-based technique to first determine the basic matching
 blocks representing the "exon cores". In this first stage, it detects all
 possible exact matches of W-mers (i.e., DNA words of size W) between the two
 sequences and extends them to maximal scoring gap-free segments. In the
 second stage, the exon cores are extended into the adjacent as-yet-unmatched
 fragments using greedy alignment algorithms, and heuristics are used to favor
 configurations that conform to the splice-site recognition signals (GT-AG,
 CT-AC). If necessary, the process is repeated with less stringent parameters
 on the unmatched fragments.

=== debian/rules ===
#!/usr/bin/make -f

## This does not help to solve
## I: sim4: hardening-no-fortify-functions usr/bin/sim4
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="uversionmangle=s/^/0.0./;s/-//g" \
http://globin.cse.psu.edu/ftp/dist/sim4/ sim4.(.*)\.tar\.gz
